Bug 448712 - Network problems with Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller
Network problems with Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Expre...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 08:05 EDT by Alex CONRAD
Modified: 2010-01-11 17:17 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 448712 None None None Never
Launchpad 141343 None None None Never

  None (edit)
Description Alex CONRAD 2008-05-28 08:05:41 EDT
Description of problem:
During the Anaconda installation, the my network card is seen, but I'm unable to
make it work with DHCP/Fixed IP. Although, after the installation is done, the
network works again (?)... but only for a short time (a few hours in my
experience). From my logs, I'm getting the following message each time I'm
trying to access the network:

kernel: r8169: eth0: link up
kernel: NETDEV WATCHDOG: eth0: transmit timed out
kernel: r8169: eth0: link up
kernel: NETDEV WATCHDOG: eth0: transmit timed out

I've been looking for this problem and it seems there's a driver problem. The
loaded module for this driver is "r8169". Here's the lspci -vv output of my
device (integrated on Asus motherboard):

02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI
Express Gigabit Ethernet controller (rev 02)
        Subsystem: ASUSTeK Computer Inc. Unknown device 81aa
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 16
        Region 0: I/O ports at e800 [size=256]
        Region 2: Memory at dffff000 (64-bit, non-prefetchable) [size=4K]
        Region 4: Memory at deff0000 (64-bit, prefetchable) [size=64K]
        Expansion ROM at dffc0000 [disabled] [size=128K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA
PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable-
                Address: 00000000  Data: 0000
        Capabilities: [70] Express (v1) Endpoint, MSI 08
                DevCap: MaxPayload 1024 bytes, PhantFunc 0, Latency L0s <1us, L1
unlimited
                        ExtTag+ AttnBtn- AttnInd- PwrInd- RBE- FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                        MaxPayload 128 bytes, MaxReadReq 128 bytes
                DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
                LnkCap: Port #16, Speed unknown, Width x22, ASPM unknown,
Latency L0 <64ns, L1 <2us
                        ClockPM+ Suprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+
DLActive- BWMgmt- ABWMgmt-
        Capabilities: [b0] MSI-X: Enable- Mask- TabSize=2
                Vector table: BAR=4 offset=00000000
                PBA: BAR=4 offset=00000800
        Capabilities: [d0] Vital Product Data <?>
        Capabilities: [100] Advanced Error Reporting <?>
        Capabilities: [140] Virtual Channel <?>
        Capabilities: [160] Device Serial Number 00-00-00-00-00-00-00-00
        Kernel driver in use: r8169
        Kernel modules: r8169

Many people from Ubuntu seem to hit the problem:
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/141343

(do not get confused by the "pci=nomsi" parameter they talk about, it seems to
be a solution to the wrong bug)

To make it short, it seems that the "r8169" module is *not* the right driver for
this network card. Apparently, this is a known problem at Realtek and they do
provide an GPL, up-to-date (2008/4/22) driver for
RTL8111B/RTL8168B/RTL8111/RTL8168/RTL8111C cards.

http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false

The compiled module is called "r8168" (and not "r8169"). I haven't tested it
myself due to lack of competence, but the Ubuntu users seem to have sucessfully
compiled and installed the Realtek driver and now their network card works
flawlessly.

I'm not sure if this is a Fedora/Redhat bug or a kernel.org issue, but I saw
that the kernel ChangeLog-2.6.25.4 had some r8169 bug fixed by Ivan Vecera
<ivecera@redhat.com>. I thought it would be wise to point this out.

Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

Additional info:
Comment 1 Alex CONRAD 2008-05-28 09:35:44 EDT
I forgot to mention that this happens on Fedora 9's original ditribution kernel
and the updated 2.6.25.3-18.fc9.i686 one.
Comment 2 Jesus M. Rodriguez 2008-07-08 16:21:35 EDT
I can confirm the same problem seen on my workstation. I had to revert to F8
original kernel for this to work correctly.
Comment 3 Alex CONRAD 2008-07-10 05:25:02 EDT
I would suggest people trying to compile the "r8168-8.005.00.tar.bz2" driver,
which is *NOT* the latest version provided by realtek (latest is 8.006). If
compiling fails, try to apply the patch provided by the Ubuntu community (link
in the bug report).

The .005 driver is available from the following Realtek mirrors:

ftp://66.104.77.130/cn/nic/
ftp://152.104.238.19/cn/nic/
ftp://202.65.194.211/cn/nic/

You might need the kernel-devel RPM package to compile it.

Unfortunatly, I no longer have a Fedora 9 distro right now to test it with.

HTH,
Alex
Comment 4 Alex CONRAD 2008-07-10 05:28:38 EDT
And don't forget to blacklist the "r8169" module to prevent it from loading, or
both r8168 and r8169 will load, creating conflicts. This is shown in by the
ubuntu users who provided the the patch, as well as the mkinitrd command.
Comment 5 Paul Johnson 2008-08-05 15:13:03 EDT
I have this bug too.  I haven't tried the r8168 driver solution, but I have found that this bug seems to occur randomly after reboots.  If you see this bug, try rebooting to clear it.
Comment 6 Paul Johnson 2008-08-05 15:32:22 EDT
Update: I just installed the r8168-8.008.00.tar.bz2 driver from RealTek.  It works fine; the problem with the 8.006 version has presumably been fixed.  Just download the file, unpack it, build and install according to the instructions in the README, and add a line saying "blacklist r8169" to /etc/modprobe.d/blacklist.
Comment 7 Aaron Clark 2008-10-02 21:30:46 EDT
I was seeing this issue as well and had been sticking on the kernel-xen
packages instead while it persisted.  It appears to be fixed on the following
(recent) kernels:
2.6.26.5-28.fc8 (Fedora 8 64bit)
2.6.27-0.352.rc7.git1.fc10.x86_64 (Fedora 10 Beta LiveCD 64bit)
Comment 8 Nick Strugnell 2008-10-21 04:53:12 EDT
Confirm that bug is present in RHEL5.2 (2.6.18-92.el5)

Nick
Comment 9 Răzvan Sandu 2008-11-27 11:31:34 EST
Bug #453563 has some details and maybe a solution for this.

Răzvan
Comment 10 Bug Zapper 2009-06-09 21:15:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Keith Wilkinson 2009-06-14 22:14:23 EDT
  Like Intel, Realtek releases a single driver to support many different network chip versions.  Unlike Intel, Realtek appears to have made major changes in its API such that newer versions of their RTL8111 chip, such as RTL8111C variants, don't work with the older version(s) of their universal driver that come with the LINUX kernel.  I have confirmed that my RTL8111C is not recognized by Fedora 10, Fedora 11, RHEL5.3 or SLES11.  However the latest driver code on their web site works (and the instructions with it are very easy to follow), although I haven't tested backward compatibility with really old versions of the RTL8111 chipset. <a href="http://www.realtek.com/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false">Realtek drivers</a>. 
  Because Realtek seems to be the major network chipset provider for AMD motherboards, I would consider this to be a major problem for AMD, not just Realtek. Someone should impress on them (Realtek) the importance of getting backward-compatible driver code approved and into the LINUX kernel as early as possible.
Comment 12 Bug Zapper 2009-07-14 11:48:43 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Keith Wilkinson 2009-11-19 01:52:46 EST
The RTL8111C chip is widely used on the most popular AMD motherboards, and (as mentioned in my post above) I have confirmed that my RTL8111C is not recognized by Fedora 10, Fedora 11, Fedora 12, RHEL5.3 or SLES11, so I would consider this to be a major problem. I was able to use the update on the Realtek web site (mentioned in my post above) to get the RTL8111C chip to work with Fedora 11, but the update seems to fail with Fedora 12 (have to plug in another Ethernet controller).
Comment 14 Sergio Augusto Vladisauskis 2009-12-20 11:16:03 EST
In new kernel on Fedora 12 (2.6.31.6-166.fc12.x86_64) have a new bug!

------------[ cut here ]------------
WARNING: at net/sched/sch_generic.c:246 dev_watchdog+0xf3/0x164() (Tainted: G        W )
Hardware name: A790GXM-A
NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
Modules linked in: sunrpc fuse ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath usblp snd_hda_codec_atihdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_usb_audio snd_seq amd64_edac_mod snd_usb_lib snd_pcm snd_rawmidi edac_core snd_timer snd_seq_device snd_hwdep gspca_sonixj r8169 snd soundcore gspca_main i2c_piix4 mii snd_page_alloc videodev v4l1_compat v4l2_compat_ioctl32 joydev xpad wmi serio_raw ata_generic pata_acpi usb_storage pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 0, comm: swapper Tainted: G        W  2.6.31.6-166.fc12.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff810516f4>] warn_slowpath_common+0x84/0x9c
 [<ffffffff81051763>] warn_slowpath_fmt+0x41/0x43
 [<ffffffff8138e831>] ? netif_tx_lock+0x44/0x6d
 [<ffffffff8138e99b>] dev_watchdog+0xf3/0x164
 [<ffffffff8105bc52>] ? internal_add_timer+0xcf/0xd1
 [<ffffffff8105bd0b>] ? cascade+0x6a/0x84
 [<ffffffff8105bec4>] run_timer_softirq+0x19f/0x21c
 [<ffffffff81057614>] __do_softirq+0xdd/0x1ad
 [<ffffffff81026936>] ? apic_write+0x16/0x18
 [<ffffffff81012eac>] call_softirq+0x1c/0x30
 [<ffffffff810143fb>] do_softirq+0x47/0x8d
 [<ffffffff81057326>] irq_exit+0x44/0x86
 [<ffffffff8141ecf5>] do_IRQ+0xa5/0xbc
 [<ffffffff810126d3>] ret_from_intr+0x0/0x11
 <EOI>  [<ffffffff8102e23d>] ? native_safe_halt+0xb/0xd
 [<ffffffff81018e1f>] ? default_idle+0x47/0x6d
 [<ffffffff81018f1e>] ? c1e_idle+0xd9/0x102
 [<ffffffff81010c60>] ? cpu_idle+0xa6/0xe9
 [<ffffffff8141489e>] ? start_secondary+0x1f3/0x234
---[ end trace 034700ad9ffbda71 ]---
r8169: eth0: link up
Comment 15 Renich Bon Ciric 2010-01-11 17:17:19 EST
I have problems with my second integrated NIC:

04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
0a:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev ff)

The mb is a M3N32-WS Professional (ASUS).

I can use one of them... but not the second... I see it on lsmod but can't create a device for it. Also, lspci -v is interesting:

[root@server ~]# lspci -v
00:00.0 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a2)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0
	Capabilities: [94] HyperTransport: #1a
	Capabilities: [60] HyperTransport: Retry Mode
	Capabilities: [44] HyperTransport: Slave or Primary Interface
	Capabilities: [d0] HyperTransport: #1c

00:01.0 ISA bridge: nVidia Corporation MCP78S [GeForce 8200] LPC Bridge (rev a2)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0

00:01.1 SMBus: nVidia Corporation MCP78S [GeForce 8200] SMBus (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: 66MHz, fast devsel, IRQ 255
	I/O ports at fc00 [size=64]
	I/O ports at 1c00 [size=64]
	I/O ports at 1c40 [size=64]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: nForce2_smbus
	Kernel modules: i2c-nforce2

00:01.2 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: 66MHz, fast devsel

00:01.3 Co-processor: nVidia Corporation MCP78S [GeForce 8200] Co-Processor (rev a2)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 5
	Memory at fdf80000 (32-bit, non-prefetchable) [size=512K]

00:01.4 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: 66MHz, fast devsel

00:02.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 20
	Memory at fe02f000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: ohci_hcd

00:02.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22
	Memory at fe02e000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [44] Debug port: BAR=1 offset=00a0
	Capabilities: [80] Power Management version 2
	Kernel driver in use: ehci_hcd

00:04.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 23
	Memory at fe02d000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: ohci_hcd

00:04.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21
	Memory at fe02c000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [44] Debug port: BAR=1 offset=00a0
	Capabilities: [80] Power Management version 2
	Kernel driver in use: ehci_hcd

00:06.0 IDE interface: nVidia Corporation MCP78S [GeForce 8200] IDE (rev a1) (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0
	[virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	[virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	[virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	[virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	I/O ports at f000 [size=16]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: pata_amd
	Kernel modules: ata_generic, pata_acpi, pata_amd

00:07.0 Audio device: nVidia Corporation MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82af
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21
	Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [44] Power Management version 2
	Capabilities: [50] MSI: Enable- Count=1/1 Maskable+ 64bit+
	Capabilities: [6c] HyperTransport: MSI Mapping Enable+ Fixed+
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:08.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1) (prog-if 01 [Subtractive decode])
	Flags: bus master, 66MHz, fast devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fde00000-fdefffff
	Prefetchable memory behind bridge: fdd00000-fddfffff
	Capabilities: [b8] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [8c] HyperTransport: MSI Mapping Enable+ Fixed-

00:09.0 SATA controller: nVidia Corporation MCP78S [GeForce 8200] AHCI Controller (rev a2) (prog-if 01 [AHCI 1.0])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 31
	I/O ports at 09f0 [size=8]
	I/O ports at 0bf0 [size=4]
	I/O ports at 0970 [size=8]
	I/O ports at 0b70 [size=4]
	I/O ports at dc00 [size=16]
	Memory at fe026000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [44] Power Management version 2
	Capabilities: [8c] SATA HBA <?>
	Capabilities: [b0] MSI: Enable+ Count=1/8 Maskable- 64bit+
	Capabilities: [ec] HyperTransport: MSI Mapping Enable+ Fixed+
	Kernel driver in use: ahci

00:0b.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000b000-0000bfff
	Memory behind bridge: fb000000-fcffffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 2
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Kernel modules: shpchp

00:10.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: f6000000-f9ffffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:12.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: fdc00000-fdcfffff
	Prefetchable memory behind bridge: 00000000fdb00000-00000000fdbfffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:13.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=05, subordinate=07, sec-latency=0
	I/O behind bridge: 00007000-00008fff
	Memory behind bridge: fd800000-fdafffff
	Prefetchable memory behind bridge: 00000000fd600000-00000000fd7fffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:14.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=08, subordinate=0c, sec-latency=0
	I/O behind bridge: 00004000-00006fff
	Memory behind bridge: fd300000-fd5fffff
	Prefetchable memory behind bridge: 00000000fd000000-00000000fd2fffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] HyperTransport Configuration
	Flags: fast devsel
	Capabilities: [80] HyperTransport: Host or Secondary Interface

00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Address Map
	Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] DRAM Controller
	Flags: fast devsel
	Kernel modules: amd64_edac_mod

00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Miscellaneous Control
	Flags: fast devsel
	Capabilities: [f0] Secure device <?>

00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Link Control
	Flags: fast devsel

01:0a.0 FireWire (IEEE 1394): Agere Systems FW322/323 (rev 70) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. IEEE 1394a Firewire Controller
	Flags: bus master, medium devsel, latency 32, IRQ 18
	Memory at fdeff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

02:00.0 VGA compatible controller: nVidia Corporation GeForce 8200 (rev a2) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: fast devsel, IRQ 22
	Memory at fb000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=128M]
	Memory at ee000000 (64-bit, prefetchable) [size=32M]
	I/O ports at bc00 [size=128]
	Expansion ROM at e8000000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Kernel modules: nouveau, nvidiafb

03:00.0 VGA compatible controller: nVidia Corporation GeForce 8600 GT (rev a1) (prog-if 00 [VGA controller])
	Subsystem: eVga.com. Corp. Device c750
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f8000000 (32-bit, non-prefetchable) [size=16M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at f6000000 (64-bit, non-prefetchable) [size=32M]
	I/O ports at ac00 [size=128]
	Expansion ROM at f9fe0000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information <?>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb

04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
	Subsystem: ASUSTeK Computer Inc. Device 82c6
	Flags: bus master, fast devsel, latency 0, IRQ 32
	I/O ports at 9c00 [size=256]
	Memory at fdcff000 (64-bit, non-prefetchable) [size=4K]
	Memory at fdbf0000 (64-bit, prefetchable) [size=64K]
	[virtual] Expansion ROM at fdb00000 [disabled] [size=128K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 01
	Capabilities: [b0] MSI-X: Enable- Count=2 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Virtual Channel <?>
	Capabilities: [160] Device Serial Number 00-00-00-00-ec-10-68-81
	Kernel driver in use: r8169
	Kernel modules: r8169

05:00.0 PCI bridge: NEC Corporation uPD720400 PCI Express - PCI/PCI-X Bridge (rev 06) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=05, secondary=06, subordinate=06, sec-latency=32
	I/O behind bridge: 00008000-00008fff
	Memory behind bridge: fd900000-fd9fffff
	Prefetchable memory behind bridge: 00000000fd700000-00000000fd7fffff
	Capabilities: [40] Express PCI/PCI-X Bridge, MSI 00
	Capabilities: [54] PCI-X bridge device
	Capabilities: [64] Power Management version 2
	Capabilities: [100] Advanced Error Reporting
	Kernel modules: shpchp

05:00.1 PCI bridge: NEC Corporation uPD720400 PCI Express - PCI/PCI-X Bridge (rev 06) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Memory at fdaff000 (64-bit, non-prefetchable) [size=128]
	Bus: primary=05, secondary=07, subordinate=07, sec-latency=32
	I/O behind bridge: 00007000-00007fff
	Memory behind bridge: fd800000-fd8fffff
	Prefetchable memory behind bridge: 00000000fd600000-00000000fd6fffff
	Capabilities: [40] Express PCI/PCI-X Bridge, MSI 00
	Capabilities: [54] PCI-X bridge device
	Capabilities: [64] Power Management version 2
	Capabilities: [6c] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [7c] Hot-plug capable
	Capabilities: [100] Advanced Error Reporting
	Kernel modules: shpchp

08:00.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev 0e) (prog-if 00 [Normal decode])
	Flags: fast devsel
	Bus: primary=00, secondary=00, subordinate=00, sec-latency=0
	Capabilities: [40] Express Upstream Port, MSI 00
	Capabilities: [c0] Power Management version 3
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [200] Virtual Channel <?>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

09:02.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel driver in use: pcieport-driver

09:03.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel driver in use: pcieport-driver

09:04.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel driver in use: pcieport-driver

0a:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel modules: r8169

Note You need to log in before you can comment on or make changes to this bug.